Salesly API
API Reference

Update a product category

PUT
/product-categories/{id}

Authorization

x-api-key<token>

Your tenant API key

In: header

Request Body

application/jsonRequired
namestring
referencestring
parent_idinteger

Path Parameters

id
Required
integer
curl -X PUT "https://rest.salesly.app/api/v1/developers/product-categories/0" \
  -H "x-api-key: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "reference": "string",
    "parent_id": 0
  }'

Category updated

{
  "data": {
    "id": 0,
    "name": "string",
    "reference": "string",
    "parent_id": 0,
    "has_products": true,
    "has_objectives": true,
    "children": [
      {
        "id": 0,
        "name": "string",
        "reference": "string",
        "parent_id": 0,
        "has_products": true,
        "has_objectives": true,
        "children": [],
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}